{ pkgs, config, ...}: {
  services.headscale = {
    enable = true;
    address = "0.0.0.0";
    port = 35893;
    settings = { 
      dns.base_domain = "vpn.matri.cx";
      logtail.enabled = false; 
      noise.private_key_path = "/var/lib/headscale/noise_private.key";
      server_url = "https://vpn.matri.cx:443";
    };
  };
  services.tailscale = {
    enable = true;
    extraSetFlags = [
      "--advertise-exit-node"
    ];
    extraUpFlags = [
      "--advertise-tags=tag:home-server"
    ];
    useRoutingFeatures = "both";
  };
}
